<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: Instruction to make Projects</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Instruction to make Projects </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>This folder contains the models/ data sets from different projects. All the estimation procedures for the projects should be called from their respective project folder.</p>
<p>Use the script <code>make-project.sh</code> to make such a project folder with appropriate names e.g. "test":</p>
<p>Example: </p><pre class="fragment">    make-project.sh test
</pre><p>Every project folder should be structured as follows:</p>
<ol type="1">
<li>Model: Folder with all the model files (required, model is read, simulated from this folder).</li>
<li>DataForEstimation: Data used for estimation (mandatory, data is accessed in this folder).</li>
<li>RawData: Raw data from an experiment/ publication and scripts for processing it.</li>
<li>ResultsNLME: Result folder after estimation where all results of the project are stored.</li>
<li>SubmitScripts: Submit scripts for SGE exclusive to that model</li>
<li>AnalysisNotebook: A jupyter notebook for analysis</li>
<li>UserFns: A folder where user defined functions should be defined for calling model simulation : <code>Src/Auxiliary/callSimulation.m</code> (default function used needs AMICI, and is in <code>Src/Auxiliary</code> folder) getting initial weights to be used for WOLS: <code><a class="el" href="../../d0/db3/get_weights_8m.html">getWeights.m</a></code> calling custom function to approximate the Hessian/ FIM: <code><a class="el" href="../../d5/dec/get_hessian_approx_8m.html">getHessianApprox.m</a></code></li>
</ol>
<p>If any of the functions above around in <code>UserFns</code>, then they will be used instead of the default functions found in the <code>Src/Auxiliary</code> folder.</p>
<p>Every <code>Model</code> folder should contain a script that describes some properties of the model: </p><pre class="fragment">    ModelSettings.m
</pre><p>and a script to convert the symbolic model to a <code>.mex</code> file: </p><pre class="fragment">    makeAmiModel.m
</pre><p>The <code>templates</code> folder has templates for both these files as well to guide you in filling the appropriate fields for your application.</p>
<p>In order to run the estimation, the user must write a script that passes relevant options to the <code><a class="el" href="../../d6/d19/_call_run_g_t_s_8m.html">CallRunGTS.m</a></code> function with the script <code>_Fit__.m</code>. See <code><a class="el" href="../../dd/dcf/_fit_transfection2018_8m.html">FitTransfection2018.m</a></code> or <code>M1_FitFS_Llamosi</code> for an example.</p>
<p><code>SubmitScripts</code> folder contains shell scripts which can be used for submitting the jobs to an SGE cluster (and is guaranteed to work for the stelling cluster). This can be submitted by for example: </p><pre class="fragment">    qsub SubmitScripts/submitFitTransfectioModel.sh
</pre><p>The results from the estimation are <code>.mat</code> files in the <code>ResultsNLME</code> folder.</p>
<h3>Data format used in estimation</h3>
<p>The format of the data used for estimation is similar to that of Monolix's. The typical column names are</p>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadLeft">Column name  </th><th class="markdownTableHeadCenter">Description  </th><th class="markdownTableHeadRight">Mandatory   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft">Time  </td><td class="markdownTableBodyCenter">Time points  </td><td class="markdownTableBodyRight"><em>Yes</em>   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft">Y  </td><td class="markdownTableBodyCenter">Observation value  </td><td class="markdownTableBodyRight"><em>Yes</em>   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft">TrackID  </td><td class="markdownTableBodyCenter">Track ID of the cell  </td><td class="markdownTableBodyRight"><em>Yes</em>   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft">YID  </td><td class="markdownTableBodyCenter">Observation ID i.e. the ID of the readout  </td><td class="markdownTableBodyRight"><em>Yes</em>   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft">PopulationID  </td><td class="markdownTableBodyCenter">Any covariate ID  </td><td class="markdownTableBodyRight">No   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft">LinID  </td><td class="markdownTableBodyCenter">Lineage ID  </td><td class="markdownTableBodyRight"><em>No</em>   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft">GenID  </td><td class="markdownTableBodyCenter">Generation number  </td><td class="markdownTableBodyRight"><em>No</em>   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft">TimDiv  </td><td class="markdownTableBodyCenter">Time at which the cell divides  </td><td class="markdownTableBodyRight"><em>No</em>   </td></tr>
</table>
<h3>List of Projects:</h3>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadLeft">No.  </th><th class="markdownTableHeadCenter">Model name  </th><th class="markdownTableHeadRight">Short description  </th><th class="markdownTableHeadRight">Reference   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft">1.  </td><td class="markdownTableBodyCenter">Transfection model  </td><td class="markdownTableBodyRight">Study of mRNA translation dynamics upon transfection  </td><td class="markdownTableBodyRight"><a href="https://www.nature.com/articles/s41540-018-0079-7">Fröhlich et al.</a>   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyLeft">2.  </td><td class="markdownTableBodyCenter">Llamosi  </td><td class="markdownTableBodyRight"><em>Hog1 model</em>  </td><td class="markdownTableBodyRight"><a href="https://www.cell.com/cell-systems/fulltext/S2405-4712(18)30481-2">Dharmarajan et al.</a>   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyLeft">3.  </td><td class="markdownTableBodyCenter"><em>Mup1</em>  </td><td class="markdownTableBodyRight"><em>Endocytosis model</em>  </td><td class="markdownTableBodyRight"><a href="https://www.cell.com/cell-systems/fulltext/S2405-4712(18)30481-2">Dharmarajan et al.</a>   </td></tr>
</table>
<p>Note: Models in italics will be added to the repo.</p>
<h5>References</h5>
<ol type="1">
<li>Fröhlich, F., Reiser, A., Fink, L. et al. Multi-experiment nonlinear mixed effect modeling of single-cell translation kinetics after transfection. npj Syst Biol Appl 4, 42 (2018). <a href="https://doi.org/10.1038/s41540-018-0079-7">https://doi.org/10.1038/s41540-018-0079-7</a></li>
<li>Dharmarajan, Lekshmi, et al. "A simple and flexible computational framework for inferring sources of heterogeneity from single-cell dynamics." Cell systems 8.1 (2019): 15-26. <a href="https://doi.org/10.1016/j.cels.2018.12.007">https://doi.org/10.1016/j.cels.2018.12.007</a> </li>
</ol>
</div></div><!-- contents -->
</div><!-- PageDoc -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
